#! /usr/bin/env python
import sys, os
import Pyro.core
from Person import Person

sys.path.insert(0,os.pardir)	# to find testserver.py

import testserver

######## testclass object (subclassed from ObjBase)
class testclass(Pyro.core.ObjBase):
	def __init__(self):
		Pyro.core.ObjBase.__init__(self)
		self.sum=0
		self.changedby=''

		# the following only works because Person is in a separate module
		# that is also available to the client:
		self.person=Person("Irmen de Jong","28")
		

######## testclass object (standalone - delegate approach)
class testclass2:
	def __init__(self):
		self.sum=0
		self.changedby=''

		# the following only works because Person is in a separate module
		# that is also available to the client:
		self.person=Person("Irmen de Jong","28")


######## main program

a=raw_input('Subclassing or delegate approach (s/d): ')
if a=='s':
	print 'Using object subclassed from ObjBase.'
	testserver.start(testclass,'attributes')
else:
	print 'Using standalone object with delegate approach.'
	testserver.start(testclass2,'attributes',1)


