#! /usr/bin/env python
import sys, os
import Pyro.core

sys.path.insert(0,os.pardir)	# to find testserver.py

import testserver

import shop

s1=shop.Shop("Fry's")
s1.setStock( { 'tv':2000, 'computer':3000, 'mouse':10, 'cd': 19 } )
s2=shop.Shop("Fred's groceries")
s2.setStock( { 'apples':5, 'tomatoes':9, 'bananas':4, 'spices': 3 } )
s3=shop.Shop("Rockport store")
s3.setStock( { 'shoes':150, 'boots':190 } )
s4=shop.Shop("Snow world")
s4.setStock( { 'snowboard':400, 'bindings': 150, 'goggles':80, 'wax':12 } )

mall=shop.Mall()
mall.addShop(s1)
mall.addShop(s2)
mall.addShop(s3)
mall.addShop(s4)

testserver.start(mall,'ShoppingMall',1)		# delegation approach

