#! /usr/bin/env python
import sys, os
import Pyro.util

sys.path.insert(0,os.pardir)	# to find testclient.py

import testclient

test = testclient.start('tst_proxy','testclass','simple')

print test.mul(111,9)
print test.add(100,222)
print test.sub(222,100)
print test.div(2.0,9.0)
print test.mul('.',10)
print test.add('String1','String2')

print '*** invoking server method that crashes, catching traceback ***'
try:
	print test.error()
except Exception,x:
	print 'CAUGHT ERROR, printing Pyro traceback >>>>>>',x
	print ''.join(Pyro.util.getPyroTraceback(x))
	print '<<<<<<< end of Pyro traceback'
	
print '*** invoking server method that crashes, not catching anything ***'
print test.error()

